<h1>
    <button (click)="back()" mat-icon-button color="primary" *ngIf="!isNew">
        <mat-icon>arrow_back</mat-icon>
    </button>
    {{title}}
</h1>
<section>
    <div>
        <form novalidate class="search-form" [formGroup]="itemForm" (ngSubmit)="save()">
            <mat-form-field appearance="fill" *ngIf="isNew">
                <mat-label>Código</mat-label>
                <input matInput #codeInput formControlName="code" required>
            </mat-form-field>
            <input type="hidden" formControlName="code" *ngIf="!isNew">
            <mat-form-field appearance="fill">
                <mat-label>Nombre</mat-label>
                <input matInput formControlName="name" required>
                <!--<div *ngIf="name.invalid && (name.dirty || name.touched)"
                     class="alert">
                    <div *ngIf="name.errors?.['required']">
                        Name is required.
                    </div>
                </div>-->
            </mat-form-field>
            <mat-form-field appearance="fill">
                <mat-label>Precio</mat-label>
                <input matInput formControlName="price" required>
            </mat-form-field>
            <mat-form-field appearance="fill">
                <mat-label>Marca</mat-label>
                <input matInput formControlName="brand" required>
            </mat-form-field>
            <mat-form-field appearance="fill">
                <mat-label>Proveedor</mat-label>
                <input matInput formControlName="supplier" required>
            </mat-form-field>
            <button mat-raised-button color="primary" type="submit" [disabled]="itemForm.invalid">Guardar</button>
        </form>
    </div>
</section>
